<script>
    $('#btnsave').click(function(){
        //console.log("CLicked ");
        output = ""
    let name_val = $("#nameid").val();
    let age_val = $("#ageid").val();
    let address_val = $("#addressid").val();
    let salary_val = $("#salaryid").val();
    let csrf = $("input[name=csrfmiddlewaretoken").val()
    if (name_val == ""){
        console.log("Fill the form");
    } else{
        // console.log(name);
        // console.log(age);
        // console.log(address);
        // console.log(salary);
        my_data = {
            name: name_val,
            age: age_val,
            address: address_val,
            salary: salary_val,
            csrfmiddlewaretoken: csrf 
        };
        $.ajax({
            url: "{% url 'save' %}",
            method: "POST",
            data: my_data,
            success: function(data){
                //console.log(data);
                x = data.employee_data
            if (data.status == 'Save'){
                console.log("Form Submitted")
                //console.log(x);
                
                for (i=0; i<x.length; i++){
                    output += "<tr><td>" + x[i].name + "</td><td>" + x[i].age + "</td><td>" 
                    + x[i].address + "</td><td>"
                    + x[i].salary + "</td><td> <input type = 'button' class = 'btn btn-warning btn-sm btn-edit' value='Edit' data-sid="+ x[i].id + "/> <input type = 'button' class = 'btn btn-danger btn-sm btn-del' value='Delete' data-sid="+ x[i].id + "/>"
                     
                    
                }
                $("#tbody").html(output)

                $("form")[0].reset(); 
            }
            if (data.status == 0){
                console.log("Failed to submit")
                
            }

            },
        });
    }



});



// Edit Data

$("tbody").on("click", ".btn-edit", function(){
    console.log("Edit button")
    let id = $(this).attr("data-sid")
    let csrf = $("input[name=csrfmiddlewaretoken").val()

    //console.log(id)
    mydata = {sid:id, csrfmiddlewaretoken: csrf};
    $.ajax({
        url: "{% url 'edit' %}",
        method: "POST",
        data: mydata,
        dataType: "json",
        success:function(data){
            console.log(data)
            $("#stuid").val(data.id)
            $("#nameid").val(data.name)
            $("#ageid").val(data.age)
            $("#addressid").val(data.address)
            $("#salaryid").val(data.salary)

        },
    });
});


// Delete Data

$("tbody").on("click", ".btn-del", function(){
    console.log("Delete button")
    let id = $(this).attr("data-sid")
    let csrf = $("input[name=csrfmiddlewaretoken").val()

    console.log(id)
    mydata = {sid:id}
    mythis = this
    $.ajax({
        url: "{% url 'delete' %}",
        method: "POST",
        data: {sid: id, csrfmiddlewaretoken: csrf},
        success:function(data){
            console.log(data)
        if (data.status == 1){
            console.log('Deleted Successfullyy')
            $(mythis).closest("tr").fadeOut();
        }
        if (data.status == 0){
            console.log('Not Deleted Successfullyy')
        }
        },
    });
});

</script>